Download it now!
Bug 63315 - sign windows binaries during build
Summary: sign windows binaries during build
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: difficultyBeginner, easyHack, topicCleanup
Depends on:
Blocks:
 
Reported: 2013-04-09 13:49 UTC by David Tardon
Modified: 2016-02-18 16:37 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Tardon 2013-04-09 13:49:27 UTC
There is a special code in postprocess/signing/signing.pl (run from postprocess/CustomTarget_signing.mk) that handles signing of windows binaries (exe and dll files) in release configuration build. I think it makes sense to do that directly after linking.

To achieve this, it will be necessary to adapt gb_LinkTarget_command in solenv/gbuild/platform/com_MSC_class.mk to run signtool.exe, if needed. I think the best way will be to add a new target variable on LinkTarget, defined in gb_Library_Library_platform and gb_Executable_Executable_platform, which will be set depending on $(WINDOWS_BUILD_SIGNING) and $(ENABLE_DBGUTIL) variables. After that, the custom stuff in postprocess can be dropped.
Comment 1 Björn Michaelsen 2013-10-04 18:47:24 UTC
adding LibreOffice developer list as CC to unresolved EasyHacks for better visibility.

see e.g. http://nabble.documentfoundation.org/minutes-of-ESC-call-td4076214.html for details
Comment 2 Christian Lohmaier 2013-10-14 11:10:05 UTC
This one has been fixed already.
(signing the msi during the build was an extra step, but http://cgit.freedesktop.org/libreoffice/core/commit/?id=125769a4a15cf6f4b9ef9d0e757ac55bd9e26509 made that part of the build)


Now for signing the dlls right after they are created: I don't think this is a good idea, in fact IMHO it is a rather bad idea.

Creating processes in windows is slow as fu^Whell, so anything that can be grouped into one invocation, should be grouped into one invocation.

The build is already slowed down so much by all those "I built a file, so I need to touch a marker-file" stuff and copying every bit individually instead of copying whole directory trees...
Comment 3 Mat M 2014-05-06 15:49:04 UTC
Fixed by cloph in https://gerrit.libreoffice.org/9176, so windows signing depends on slowcheck.
Comment 4 David Tardon 2014-05-08 10:48:16 UTC
(In reply to comment #3)
> Fixed by cloph in https://gerrit.libreoffice.org/9176, so windows signing
> depends on slowcheck.

That was not the goal of this Easy Hack--that that problem would be fixed as well (and I mean really fixed, not just postponed) was just a side effect.

Since we agreed not to do this -> WONTFIX.
Comment 5 Robinson Tryon (qubit) 2015-12-16 05:13:17 UTC
Migrating Whiteboard tags to Keywords: (EasyHack DifficultyBeginner TopicCleanup)
[NinjaEdit]
Comment 6 Robinson Tryon (qubit) 2016-02-18 16:37:24 UTC
Remove LibreOffice Dev List from CC on EasyHacks
(curtailing excessive email to list)
[NinjaEdit]